package beta;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class HeaderServlet
 */
@WebServlet("/HeaderServlet")
public class HeaderServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public HeaderServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet RequestInfoServlet</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("Context path: " + request.getContextPath() + "<br />");
        out.println("lokaal IP-adres: " + request.getLocalAddr() + "<br />");
        out.println("lokale TCP-poort: " + request.getLocalPort() + "<br />");
        out.println("locale: " + request.getLocale().getDisplayName() + "<br />");
        out.println("request methode: " + request.getMethod() + "<br />");
        out.println("remote IP-adres: " + request.getRemoteAddr() + "<br />");
        out.println("remote TCP-poort: " + request.getRemotePort() + "<br />");
        out.println("request URI: " + request.getRequestURI() + "<br />");
        out.println("request URL: " + request.getRequestURL() + "<br />");
        out.println("servlet path: " + request.getServletPath() + "<br />");
        out.println("<em>Cookies</em><br />");
        Cookie[] cookies = request.getCookies();
        if (cookies != null) {
            for (int i = 0; i < cookies.length; i++) {
                out.println("maxage:" + cookies[i].getMaxAge() + ", " + "," + cookies[i].getName() + "=" + cookies[i].getValue() + "<br />");
            }
        }
        out.println("<em>Headers via enumeratie</em><br />");
        Enumeration<String> en = request.getHeaderNames();
        while (en.hasMoreElements()) {
            String headerNaam = (String) en.nextElement();
            out.println(headerNaam + ": " + request.getHeader(headerNaam) + "<br />");
        }
        out.println("</body>");
        out.println("</html>");

	}

}
