package beta;

import java.io.IOException;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.annotation.Resource;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

import beta.dto.Cursist;
import beta.dto.Manufacturer;

/**
 * Servlet implementation class DBServlet
 */
@WebServlet("/DBServlet")
public class DBServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
    @Resource(name = "sample")
    private DataSource sampledb;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public DBServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        Connection conn = null;
        Statement st = null;
        ResultSet rs = null;
        try {
            conn = sampledb.getConnection();
            st = conn.createStatement();
            rs = st.executeQuery("select id, naam, postnr from cursist");
            List<Cursist> cursisten = new ArrayList<Cursist>();
            while (rs.next()){
                int id = rs.getInt(1);
                String naam = rs.getString(2);
                String postnr = rs.getString(3);
                Cursist m = new Cursist(id, naam, postnr);
                cursisten.add(m);
            }
            request.setAttribute("lijst", cursisten);
            request.getRequestDispatcher("resultaat.jsp").forward(request, response);
        } catch (SQLException ex) {
            Logger.getLogger(DBServlet.class.getName()).log(Level.SEVERE, null, ex);
        } finally {
            try {
                if (conn != null) {
                    conn.close();
                }
            } catch (SQLException e) {
            }
        }

	}

}
